	.globl	.oVncs
	.set	.oVncs,0
	.globl	.oVhc1.4r
	.set	.oVhc1.4r,0
	.globl	.oVXEDu
	.set	.oVXEDu,0
	.text
	.stabs	"../ca_atr/ibm8514_lo.c",0144,0,0,LL0
LL0:
	.globl	ldiv$$
	.globl	_.ldiv$$
	.lcomm	L00_BSS,762
	.comm	_tthiwat,32
	.comm	_ttlowat,32
	.comm	_ttyintrq,8
	.comm	_screen_sw,0
	.comm	_emulsw,0
	.comm	_cons_tp,4
	.globl	_pcif_io_hw
	.globl	_pcif_io_b
	.data
L00_DATA:
	.set	_rcsidscreen_conf,L00_DATA+0x00000000
	.long	L00_LITERALS
	.set	_iChar,L00_BSS+0x00000000
	.long	255
	.long	127
	.long	63
	.long	31
	.long	15
	.long	7
	.long	3
	.long	1
	.long	0
	.short	0
	.set	_ibm8514Qtab,L00_DATA+0x00000004
	.short	0
	.set	_ibm8514inwval,L00_DATA+0x00000028
	.long	0
	.set	_ibm8514busy,L00_DATA+0x0000002A
	.set	_ibm8514_lo_planes,L00_DATA+0x0000002C
	.set	_absY,L00_BSS+0x00000200
	.set	_absX,L00_BSS+0x00000258
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	12288
	.short	30720
	.short	64512
	.short	46080
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	12288
	.short	24576
	.short	65280
	.short	65280
	.short	24576
	.short	12288
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	3072
	.short	3072
	.short	7680
	.short	13056
	.short	24960
	.short	49344
	.short	49344
	.short	24960
	.short	13056
	.short	7680
	.short	3072
	.short	3072
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	57344
	.short	57344
	.short	57344
	.short	57344
	.short	57344
	.short	24576
	.short	16384
	.short	16384
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	52224
	.short	52224
	.short	52224
	.short	52224
	.short	52224
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	6528
	.short	6528
	.short	6528
	.short	32704
	.short	29120
	.short	12544
	.short	8960
	.short	58240
	.short	65408
	.short	26112
	.short	26112
	.short	26112
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	3072
	.short	3072
	.short	32640
	.short	52672
	.short	52416
	.short	60416
	.short	15360
	.short	3840
	.short	3520
	.short	52416
	.short	60608
	.short	32640
	.short	3072
	.short	3072
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	24768
	.short	37248
	.short	37632
	.short	37632
	.short	26112
	.short	1536
	.short	3072
	.short	6528
	.short	6720
	.short	12864
	.short	25152
	.short	24960
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	26112
	.short	26112
	.short	31744
	.short	15360
	.short	27840
	.short	50880
	.short	50048
	.short	49920
	.short	61312
	.short	31936
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	6144
	.short	12288
	.short	12288
	.short	24576
	.short	24576
	.short	24576
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	24576
	.short	24576
	.short	24576
	.short	12288
	.short	12288
	.short	6144
	.short	0
	.long	-1
	.short	49152
	.short	24576
	.short	24576
	.short	12288
	.short	12288
	.short	12288
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	12288
	.short	12288
	.short	12288
	.short	24576
	.short	24576
	.short	49152
	.short	0
	.long	-1
	.short	0
	.short	12288
	.short	46080
	.short	64512
	.short	30720
	.short	64512
	.short	46080
	.short	12288
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	3072
	.short	3072
	.short	3072
	.short	3072
	.short	65472
	.short	65472
	.short	3072
	.short	3072
	.short	3072
	.short	3072
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	8192
	.short	24576
	.short	49152
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	64512
	.short	64512
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	768
	.short	768
	.short	1536
	.short	1536
	.short	3072
	.short	3072
	.short	6144
	.short	6144
	.short	12288
	.short	12288
	.short	24576
	.short	24576
	.short	49152
	.short	49152
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	14336
	.short	27648
	.short	50688
	.short	50688
	.short	50688
	.short	50688
	.short	50688
	.short	50688
	.short	50688
	.short	50688
	.short	27648
	.short	14336
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	6144
	.short	14336
	.short	30720
	.short	63488
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	65280
	.short	65280
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15872
	.short	32512
	.short	25344
	.short	768
	.short	1792
	.short	3584
	.short	7168
	.short	14336
	.short	28672
	.short	57344
	.short	65280
	.short	65280
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	28160
	.short	17920
	.short	1536
	.short	3584
	.short	15360
	.short	1536
	.short	768
	.short	49920
	.short	49920
	.short	59136
	.short	32256
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	3584
	.short	5632
	.short	5632
	.short	9728
	.short	9728
	.short	17920
	.short	17920
	.short	65408
	.short	65408
	.short	1536
	.short	1536
	.short	1536
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	32256
	.short	24576
	.short	24576
	.short	24576
	.short	31744
	.short	32256
	.short	768
	.short	768
	.short	768
	.short	49920
	.short	59136
	.short	32256
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	49152
	.short	49152
	.short	49152
	.short	64512
	.short	58880
	.short	50688
	.short	50688
	.short	50688
	.short	58880
	.short	31744
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	65280
	.short	65280
	.short	1536
	.short	1536
	.short	3072
	.short	3072
	.short	6144
	.short	6144
	.short	12288
	.short	12288
	.short	24576
	.short	24576
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	49920
	.short	49920
	.short	26112
	.short	15360
	.short	26112
	.short	49920
	.short	49920
	.short	49920
	.short	59136
	.short	32256
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	14336
	.short	27648
	.short	50688
	.short	50688
	.short	50688
	.short	50688
	.short	60928
	.short	32256
	.short	1536
	.short	1536
	.short	52224
	.short	30720
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	0
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	0
	.short	0
	.short	0
	.short	57344
	.short	57344
	.short	8192
	.short	24576
	.short	49152
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	1536
	.short	3072
	.short	6144
	.short	12288
	.short	24576
	.short	49152
	.short	49152
	.short	24576
	.short	12288
	.short	6144
	.short	3072
	.short	1536
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	64512
	.short	64512
	.short	0
	.short	0
	.short	64512
	.short	64512
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49152
	.short	24576
	.short	12288
	.short	6144
	.short	3072
	.short	1536
	.short	1536
	.short	3072
	.short	6144
	.short	12288
	.short	24576
	.short	49152
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	31744
	.short	65024
	.short	50688
	.short	1536
	.short	1536
	.short	3072
	.short	6144
	.short	12288
	.short	12288
	.short	0
	.short	12288
	.short	12288
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	49920
	.short	52992
	.short	56064
	.short	56064
	.short	56064
	.short	56064
	.short	52736
	.short	49152
	.short	25344
	.short	15872
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	3072
	.short	3072
	.short	7680
	.short	7680
	.short	13056
	.short	13056
	.short	24960
	.short	24960
	.short	32640
	.short	49344
	.short	49344
	.short	49344
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	64512
	.short	50688
	.short	50688
	.short	50688
	.short	50176
	.short	64512
	.short	50688
	.short	49920
	.short	49920
	.short	49920
	.short	50688
	.short	64512
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	50688
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	50688
	.short	26112
	.short	15360
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	64512
	.short	50688
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	50688
	.short	64512
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	65024
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	64512
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	65024
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	65024
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	64512
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15872
	.short	25344
	.short	49920
	.short	49152
	.short	49152
	.short	49152
	.short	52992
	.short	49920
	.short	49920
	.short	49920
	.short	26368
	.short	15104
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	65280
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	64512
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	64512
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	7936
	.short	768
	.short	768
	.short	768
	.short	768
	.short	768
	.short	768
	.short	49920
	.short	49920
	.short	49920
	.short	26112
	.short	15360
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49920
	.short	50688
	.short	52224
	.short	55296
	.short	61440
	.short	57344
	.short	61440
	.short	55296
	.short	52224
	.short	50688
	.short	49920
	.short	49536
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	65024
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	57792
	.short	62400
	.short	62400
	.short	53952
	.short	53952
	.short	57024
	.short	52416
	.short	52416
	.short	52416
	.short	49344
	.short	49344
	.short	49344
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	58112
	.short	58112
	.short	62208
	.short	54016
	.short	54016
	.short	56064
	.short	56064
	.short	51968
	.short	51968
	.short	52992
	.short	50944
	.short	50944
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26112
	.short	15360
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	64512
	.short	50688
	.short	49920
	.short	49920
	.short	49920
	.short	50688
	.short	64512
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15360
	.short	26112
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26112
	.short	15360
	.short	3072
	.short	1536
	.short	768
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	64512
	.short	50688
	.short	49920
	.short	49920
	.short	49920
	.short	50688
	.short	64512
	.short	55296
	.short	52224
	.short	50688
	.short	49920
	.short	49536
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	15872
	.short	29440
	.short	25344
	.short	28672
	.short	14336
	.short	7168
	.short	3584
	.short	1792
	.short	49920
	.short	49920
	.short	59136
	.short	32256
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	65280
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26112
	.short	15360
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49344
	.short	49344
	.short	49344
	.short	24960
	.short	24960
	.short	24960
	.short	24960
	.short	13056
	.short	13056
	.short	13056
	.short	7680
	.short	7680
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49344
	.short	49344
	.short	49344
	.short	49344
	.short	28032
	.short	28032
	.short	28032
	.short	28032
	.short	13056
	.short	13056
	.short	13056
	.short	13056
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49920
	.short	49920
	.short	26112
	.short	26112
	.short	15360
	.short	6144
	.short	15360
	.short	15360
	.short	26112
	.short	26112
	.short	49920
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49920
	.short	49920
	.short	26112
	.short	26112
	.short	9216
	.short	15360
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	32512
	.short	768
	.short	768
	.short	1536
	.short	3072
	.short	3072
	.short	6144
	.short	12288
	.short	12288
	.short	24576
	.short	49152
	.short	65280
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	63488
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	63488
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	49152
	.short	49152
	.short	24576
	.short	24576
	.short	12288
	.short	12288
	.short	6144
	.short	6144
	.short	3072
	.short	3072
	.short	1536
	.short	1536
	.short	768
	.short	768
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	63488
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	63488
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	7168
	.short	13824
	.short	25344
	.short	49536
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	65504
	.short	65504
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	49152
	.short	24576
	.short	12288
	.short	6144
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	31744
	.short	50688
	.short	1536
	.short	1536
	.short	32256
	.short	50688
	.short	34304
	.short	50688
	.short	32512
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49152
	.short	49152
	.short	49152
	.short	56832
	.short	59136
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	59136
	.short	56832
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	15872
	.short	25344
	.short	49920
	.short	49152
	.short	49152
	.short	49152
	.short	49920
	.short	25344
	.short	15872
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	768
	.short	768
	.short	768
	.short	15104
	.short	26368
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26368
	.short	15104
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	15360
	.short	26112
	.short	49920
	.short	49920
	.short	65280
	.short	49152
	.short	49152
	.short	26368
	.short	15872
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	7680
	.short	13056
	.short	12288
	.short	12288
	.short	64512
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	15104
	.short	26368
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	50944
	.short	31488
	.short	13056
	.short	768
	.short	33536
	.short	26112
	.short	15360
	.short	0
	.long	-1
	.short	0
	.short	49152
	.short	49152
	.short	49152
	.short	56832
	.short	59136
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	12288
	.short	4096
	.short	0
	.short	61440
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	1536
	.short	1536
	.short	0
	.short	15872
	.short	1536
	.short	1536
	.short	1536
	.short	1536
	.short	1536
	.short	1536
	.short	1536
	.short	50688
	.short	50688
	.short	27648
	.short	14336
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	49152
	.short	49152
	.short	49152
	.short	50688
	.short	52224
	.short	55296
	.short	61440
	.short	61440
	.short	55296
	.short	52224
	.short	50688
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	55680
	.short	61120
	.short	52416
	.short	52416
	.short	52416
	.short	52416
	.short	52416
	.short	52416
	.short	52416
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	56832
	.short	59136
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	15360
	.short	26112
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26112
	.short	15360
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	56320
	.short	58880
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	58880
	.short	56320
	.short	49152
	.short	49152
	.short	49152
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	15104
	.short	26368
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26368
	.short	15104
	.short	768
	.short	768
	.short	768
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	56320
	.short	58880
	.short	50688
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	15872
	.short	49920
	.short	49152
	.short	57344
	.short	15872
	.short	1792
	.short	33536
	.short	49920
	.short	32256
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	12288
	.short	12288
	.short	64512
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	13824
	.short	13824
	.short	7168
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26368
	.short	15104
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	49920
	.short	49920
	.short	49920
	.short	49920
	.short	26112
	.short	26112
	.short	26112
	.short	15360
	.short	6144
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	49344
	.short	49344
	.short	52416
	.short	28032
	.short	28032
	.short	28032
	.short	16128
	.short	13056
	.short	13056
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	49920
	.short	26112
	.short	26112
	.short	15360
	.short	6144
	.short	15360
	.short	26112
	.short	26112
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	24768
	.short	24768
	.short	12672
	.short	12672
	.short	6912
	.short	6912
	.short	3584
	.short	3584
	.short	3072
	.short	3072
	.short	55296
	.short	55296
	.short	28672
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	32512
	.short	768
	.short	1536
	.short	3072
	.short	6144
	.short	12288
	.short	24576
	.short	49152
	.short	65280
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.long	-1
	.short	3584
	.short	6144
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	24576
	.short	49152
	.short	24576
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	12288
	.short	6144
	.short	3584
	.short	0
	.long	-1
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.short	49152
	.long	-1
	.short	57344
	.short	12288
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	3072
	.short	1536
	.short	3072
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	6144
	.short	12288
	.short	57344
	.short	0
	.long	-1
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	6240
	.short	15552
	.short	26496
	.short	49920
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.short	0
	.data	1
	.globl	_ibm8514_lo_blank
_ibm8514_lo_blank:
	.set	_holder,L00_DATA+0x00000030
	.long	L000
	.text
	.align	1
L000:
	.globl	_.ibm8514_lo_blank
_.ibm8514_lo_blank:
	stm   	r6,-76(r1)
	mr    	r14,r0
	ai    	r13,r1,-16
	cal   	r1,-84(r1)
	sts   	r2,0(r13)
	mr    	r12,r3
	sts   	r4,8(r13)
	sts   	r5,12(r13)
	ls    	r11,20(r13)
	ls    	r10,24(r13)
	lis   	r7,0
	mr    	r8,r12
	sf    	r8,r5
	nilz  	r2,r2,0x0004
	je    	L02A
	cal   	r7,-1(r0)
L02A:
	ls    	r2,8(r13)
	a     	r2,r2
	get	r3,$L00_BSS
	a     	r2,r3
	lha   	r9,600(r2)
	mr    	r6,r8
	sis   	r8,1
	cis   	r6,0
	je    	L08E
	cal   	r2,19(r0)
	sts   	r2,0(r1)
	mr    	r2,r12
	a     	r2,r2
	cas   	r6,r3,r2
	lha   	r4,512(r6)
	sis   	r4,1
	sfi   	r5,r9,0x03DF
	mr    	r2,r10
	mr    	r3,r9
	mr    	r15,r5
	st    	r15,-64(r13)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	cis   	r7,0
	je    	L0F0
	lis   	r5,1
	sts   	r5,0(r1)
	lha   	r2,512(r6)
	ai    	r4,r2,16
	mr    	r2,r11
	mr    	r3,r9
	l     	r5,-64(r13)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	j     	L0F0
L08E:
	cal   	r2,19(r0)
	sts   	r2,0(r1)
	mr    	r2,r12
	a     	r2,r2
	get	r3,$L00_BSS
	cas   	r6,r3,r2
	lha   	r4,512(r6)
	sis   	r4,1
	ls    	r2,16(r13)
	a     	r2,r2
	cas   	r5,r3,r2
	mr    	r3,r5
	lha   	r5,602(r5)
	s     	r5,r9
	mr    	r2,r10
	st    	r3,-64(r13)
	mr    	r3,r9
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	cis   	r7,0
	be    	L001C4
	lis   	r5,1
	sts   	r5,0(r1)
	lha   	r2,512(r6)
	ai    	r4,r2,16
	l     	r6,-64(r13)
	lha   	r5,602(r6)
	s     	r5,r9
	mr    	r2,r11
	mr    	r3,r9
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	j     	L001C4
L0F0:
	cis   	r8,0
	je    	L0015E
	mr    	r2,r12
	a     	r2,r2
	get	r3,$L00_BSS
	a     	r2,r3
	lha   	r9,514(r2)
	ls    	r2,12(r13)
	a     	r2,r2
	a     	r2,r3
	lha   	r2,512(r2)
	s     	r2,r9
	sts   	r2,0(r1)
	mr    	r2,r10
	cal   	r3,30(r0)
	mr    	r4,r9
	cal   	r5,960(r0)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	cis   	r7,0
	je    	L0015E
L0012C:
	mr    	r6,r8
	sis   	r8,1
	cis   	r6,0
	je    	L0015E
	ais   	r12,1
	lis   	r2,1
	sts   	r2,0(r1)
	mr    	r2,r12
	a     	r2,r2
	loadha	r2,L00_BSS+512(r2)
	ai    	r4,r2,16
	mr    	r2,r11
	cal   	r3,30(r0)
	cal   	r5,960(r0)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	j     	L0012C
L0015E:
	cal   	r2,19(r0)
	sts   	r2,0(r1)
	ls    	r2,12(r13)
	a     	r2,r2
	get	r3,$L00_BSS
	cas   	r6,r3,r2
	lha   	r4,512(r6)
	sis   	r4,1
	ls    	r2,16(r13)
	a     	r2,r2
	cas   	r5,r3,r2
	lha   	r2,602(r5)
	mr    	r3,r5
	ai    	r5,r2,-30
	mr    	r2,r10
	st    	r3,-64(r13)
	cal   	r3,30(r0)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
	cis   	r7,0
	je    	L001C4
	lis   	r5,1
	sts   	r5,0(r1)
	lha   	r2,512(r6)
	ai    	r4,r2,16
	l     	r6,-64(r13)
	lha   	r2,602(r6)
	ai    	r5,r2,-30
	mr    	r2,r11
	cal   	r3,30(r0)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,4(r14)
L001C4:
	ai    	r1,r13,16
	lm    	r6,-76(r1)
	br    	r15
	.long	0xDF07DF68	# First gpr=r6
	.short	0x7D04	# npars=7, off=4
	.data	1
	.long	_ibm8514DrawRectangle
	.align	2
_ibm8514Bitblt:
	.long	L001D4
	.text
	.align	1
L001D4:
_.ibm8514Bitblt:
	stm   	r7,-72(r1)
	mr    	r14,r0
	ai    	r13,r1,-16
	cal   	r1,-72(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
	sts   	r5,12(r13)
	ls    	r9,16(r13)
	ls    	r8,20(r13)
	sis   	r9,1
	blx   	L00300
	cal16 	r7,-16141(r0)
	sis   	r8,1
	bl    	L00300
	c     	r12,r10
	jhe   	L0020C
	a     	r12,r9
	a     	r10,r9
	nilz  	r2,r7,-33
	mr    	r7,r2
L0020C:
	ls    	r2,12(r13)
	c     	r11,r2
	jhe   	L0021E
	a     	r11,r8
	a     	r2,r8
	sts   	r2,12(r13)
	nilz  	r2,r7,-129
	mr    	r7,r2
L0021E:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r4,r3,-25880
	ls    	r4,0(r4)
	sth   	r4,-5168(r14)
	exts  	r4,r4
	nilz  	r5,r4,-256
	sari  	r5,8
	nilz  	r4,r4,0x00FF
	sli   	r4,8
	o     	r4,r5
	nilz  	r4,r4,0x0200
	bnex  	L0021E
	sth   	r4,-5166(r14)
	oil   	r3,r3,-17688
	cal   	r4,26368(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-14616
	nilz  	r4,r12,0x00FF
	sli   	r4,8
	nilz  	r5,r12,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-15640
	nilz  	r4,r11,0x00FF
	sli   	r4,8
	nilz  	r5,r11,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-12568
	nilz  	r4,r10,0x00FF
	sli   	r4,8
	nilz  	r5,r10,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-13592
	ls    	r4,12(r13)
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,0x0700
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-10520
	nilz  	r4,r9,0x00FF
	sli   	r4,8
	nilz  	r5,r9,-256
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	nilz  	r4,r8,0x00FF
	sli   	r4,8
	nilz  	r5,r8,0x0F00
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-25880
	nilz  	r4,r7,0x00FF
	sli   	r4,8
	nilz  	r5,r7,-256
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,-17688
	cal   	r3,9984(r0)
	sts   	r3,0(r2)
L00300:
	ai    	r1,r13,16
	lm    	r7,-72(r1)
	br    	r15
	.long	0xDF07DF78	# First gpr=r7
	.short	0x6D04	# npars=6, off=4
	.data	1
_ibm8514BlitFGBG:
	.long	L00310
	.text
	.align	1
L00310:
_.ibm8514BlitFGBG:
	stm   	r7,-72(r1)
	mr    	r14,r0
	ai    	r13,r1,-16
	cal   	r1,-72(r1)
	sts   	r2,0(r13)
	sts   	r3,4(r13)
	mr    	r12,r4
	mr    	r11,r5
	ls    	r10,20(r13)
	ls    	r9,24(r13)
	ls    	r8,28(r13)
	sis   	r9,1
	blx   	L00486
	cal16 	r7,-16141(r0)
	sis   	r8,1
	bl    	L00486
	ls    	r2,16(r13)
	c     	r12,r2
	jhe   	L0034E
	a     	r12,r9
	a     	r2,r9
	sts   	r2,16(r13)
	nilz  	r2,r7,-33
	mr    	r7,r2
L0034E:
	c     	r11,r10
	jhe   	L0035C
	a     	r11,r8
	a     	r10,r8
	nilz  	r2,r7,-129
	mr    	r7,r2
L0035C:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r4,r3,-25880
	ls    	r4,0(r4)
	sth   	r4,-5172(r14)
	exts  	r4,r4
	nilz  	r5,r4,-256
	sari  	r5,8
	nilz  	r4,r4,0x00FF
	sli   	r4,8
	o     	r4,r5
	nilz  	r4,r4,0x0200
	bnex  	L0035C
	sth   	r4,-5170(r14)
	oil   	r3,r3,-23832
	ls    	r4,4(r13)
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,-256
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-22808
	ls    	r4,0(r13)
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,-256
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-20760
	cal   	r4,512(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal16 	r4,-16224(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-14616
	nilz  	r4,r12,0x00FF
	sli   	r4,8
	nilz  	r5,r12,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-15640
	nilz  	r4,r11,0x00FF
	sli   	r4,8
	nilz  	r5,r11,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-12568
	ls    	r4,16(r13)
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,0x0700
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-13592
	nilz  	r4,r10,0x00FF
	sli   	r4,8
	nilz  	r5,r10,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-10520
	nilz  	r4,r9,0x00FF
	sli   	r4,8
	nilz  	r5,r9,-256
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	nilz  	r4,r8,0x00FF
	sli   	r4,8
	nilz  	r5,r8,0x0F00
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-25880
	nilz  	r4,r7,0x00FF
	sli   	r4,8
	nilz  	r5,r7,-256
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-20760
	cal16 	r4,-256(r0)
	sts   	r4,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,-16664
	cal   	r3,160(r0)
	sts   	r3,0(r2)
L00486:
	ai    	r1,r13,16
	lm    	r7,-72(r1)
	br    	r15
	.long	0xDF07DF78	# First gpr=r7
	.short	0x8D04	# npars=8, off=4
	.data	1
	.globl	_ibm8514_set_color
_ibm8514_set_color:
	.long	L00496
	.text
	.align	1
L00496:
	.globl	_.ibm8514_set_color
_.ibm8514_set_color:
	stm   	r7,-72(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-72(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
	lcs   	r2,1(r10)
	mr    	r9,r2
	lis   	r3,1
	l     	r4,-5172(r14)
	sl    	r3,r4
	cl    	r3,r11
	ble   	L00608
	cis   	r12,2
	jne   	L004F6
	lcs   	r3,2(r10)
	mr    	r4,r3
	sli   	r4,2
	a     	r4,r3
	a     	r4,r4
	a     	r4,r3
	mr    	r3,r2
	sli   	r3,3
	s     	r3,r2
	sli   	r3,2
	a     	r3,r2
	a     	r3,r3
	a     	r3,r2
	lcs   	r2,0(r10)
	mr    	r5,r2
	sli   	r5,4
	s     	r5,r2
	a     	r5,r5
	cas   	r2,r3,r5
	a     	r2,r4
	cal   	r3,100(r0)
	balix 	r15,_.ldiv$$
	l     	r0,8(r14)
	nilz  	r9,r2,0x00FF
L004F6:
	l     	r2,-5172(r14)
	cis   	r2,8
	jne   	L00576
L004FE:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-25880
	ls    	r2,0(r2)
	sth   	r2,-5176(r14)
	exts  	r2,r2
	nilz  	r3,r2,-256
	sari  	r3,8
	nilz  	r2,r2,0x00FF
	sli   	r2,8
	o     	r2,r3
	nilz  	r2,r2,0x00FF
	l     	r3,-5192(r14)
	c     	r2,r3
	jh    	L004FE
L0052C:
	cal   	r2,17132(r0)
	mr    	r3,r11
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17130(r0)
	cal16 	r3,-1(r0)
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17133(r0)
	lcs   	r3,0(r10)
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17133(r0)
	mr    	r3,r9
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17133(r0)
	lcs   	r3,2(r10)
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	j     	L00608
L00576:
	lis   	r8,0
L00578:
	cli   	r8,16
	jhe   	L00608
	mr    	r2,r8
	sli   	r2,4
	a     	r2,r11
	nilz  	r7,r2,-1
L00588:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-25880
	ls    	r2,0(r2)
	sth   	r2,-5176(r14)
	exts  	r2,r2
	nilz  	r3,r2,-256
	sari  	r3,8
	nilz  	r2,r2,0x00FF
	sli   	r2,8
	o     	r2,r3
	nilz  	r2,r2,0x00FF
	l     	r3,-5192(r14)
	c     	r2,r3
	jh    	L00588
L005B6:
	cal   	r2,17132(r0)
	mr    	r3,r7
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17130(r0)
	cal16 	r3,-1(r0)
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17133(r0)
	lcs   	r3,0(r10)
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17133(r0)
	mr    	r3,r9
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	cal   	r2,17133(r0)
	lcs   	r3,2(r10)
	balix 	r15,_.outb	# outb
	l     	r0,4(r14)
	ais   	r8,1
	bx    	L00578
	nilz  	r8,r8,0x00FF
L00608:
	mr    	r1,r13
	lm    	r7,-72(r1)
	br    	r15
	.long	0xDF07DF78	# First gpr=r7
	.short	0x3D00	# npars=3, off=0
	.data	1
	.long	_outb
	.long	ldiv$$
	.align	2
_loadcmap:
	.long	L00616
	.text
	.align	1
L00616:
_.loadcmap:
	stm   	r9,-64(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-64(r1)
	mr    	r12,r2
	mr    	r11,r3
	l     	r15,-5184(r14)
	cis   	r15,8
	jne   	L00680
L0062E:
	lis   	r10,0
L00630:
	ci    	r10,256
	jhe   	L0071A
	nilz  	r2,r10,0x00E0
	sari  	r2,5
	mr    	r3,r2
	sli   	r3,3
	a     	r3,r2
	mr    	r2,r10
	a     	r2,r2
	a     	r2,r10
	a     	r2,r11
	stcs  	r3,0(r2)
	nilz  	r3,r10,0x001C
	sari  	r3,2
	mr    	r4,r3
	sli   	r4,3
	a     	r4,r3
	nilz  	r3,r10,0x0003
	stcs  	r4,1(r2)
	mr    	r4,r3
	sli   	r4,2
	a     	r4,r3
	sli   	r4,2
	a     	r4,r3
	stcs  	r4,2(r2)
	mr    	r9,r2
	mr    	r2,r12
	mr    	r3,r10
	mr    	r4,r9
	balix 	r15,_.ibm8514_set_color	# ibm8514_set_color
	l     	r0,4(r14)
	bx    	L00630
	ais   	r10,1
L00680:
	lis   	r10,0
L00682:
	cis   	r10,8
	jhe   	L006CC
	nilz  	r2,r10,0x0004
	sari  	r2,2
	mr    	r3,r2
	sli   	r3,5
	s     	r3,r2
	mr    	r2,r10
	a     	r2,r2
	a     	r2,r10
	a     	r2,r11
	stcs  	r3,0(r2)
	nilz  	r3,r10,0x0002
	sari  	r3,1
	mr    	r4,r3
	sli   	r4,5
	s     	r4,r3
	nilz  	r3,r10,0x0001
	stcs  	r4,1(r2)
	mr    	r4,r3
	sli   	r4,5
	s     	r4,r3
	stcs  	r4,2(r2)
	mr    	r9,r2
	mr    	r2,r12
	mr    	r3,r10
	mr    	r4,r9
	balix 	r15,_.ibm8514_set_color	# ibm8514_set_color
	l     	r0,4(r14)
	bx    	L00682
	ais   	r10,1
L006CC:
	lis   	r10,8
L006CE:
	ci    	r10,16
	jhe   	L0071A
	nilz  	r2,r10,0x0004
	sari  	r2,2
	mr    	r3,r2
	sli   	r3,6
	s     	r3,r2
	mr    	r2,r10
	a     	r2,r2
	a     	r2,r10
	a     	r2,r11
	stcs  	r3,0(r2)
	nilz  	r3,r10,0x0002
	sari  	r3,1
	mr    	r4,r3
	sli   	r4,6
	s     	r4,r3
	nilz  	r3,r10,0x0001
	stcs  	r4,1(r2)
	mr    	r4,r3
	sli   	r4,6
	s     	r4,r3
	stcs  	r4,2(r2)
	mr    	r9,r2
	mr    	r2,r12
	mr    	r3,r10
	mr    	r4,r9
	balix 	r15,_.ibm8514_set_color	# ibm8514_set_color
	l     	r0,4(r14)
	bx    	L006CE
	ais   	r10,1
L0071A:
	cal   	r2,63(r0)
	stcs  	r2,12(r11)
	lis   	r2,0
	stcs  	r2,13(r11)
	stcs  	r2,14(r11)
	mr    	r2,r12
	lis   	r3,4
	cal   	r4,12(r11)
	balix 	r15,_.ibm8514_set_color	# ibm8514_set_color
	l     	r0,4(r14)
L00736:
	mr    	r1,r13
	lm    	r9,-64(r1)
	br    	r15
	.long	0xDF07DF98	# First gpr=r9
	.short	0x2D00	# npars=2, off=0
	.data	1
	.long	_ibm8514_set_color
	.align	2
_genfont:
	.long	L00744
	.text
	.align	1
L00744:
_.genfont:
	stm   	r8,-68(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-76(r1)
	lis   	r10,0
L00752:
	ci    	r10,127
	jhe   	L00802
	mr    	r2,r10
	cal   	r3,64(r0)
	balix 	r15,_.ldiv$$
	l     	r0,16(r14)
	mr    	r4,r2
	sli   	r4,2
	a     	r4,r2
	sli   	r4,2
	ai    	r12,r4,800
	mr    	r11,r3
	sli   	r11,4
	mr    	r2,r10
	sli   	r2,2
	a     	r2,r10
	sli   	r2,3
	cas   	r3,r2,r14
	l     	r3,-5188(r3)
	nilz  	r3,r3,0x0001
	sli   	r3,7
	mr    	r4,r10
	sli   	r4,2
	loadc	r5,L00_BSS(r4)
	clrbl 	r5,8
	o     	r5,r3
	storec	r5,L00_BSS(r4),r3
	loadc	r3,L00_BSS(r4)
	nilz  	r3,r3,0x0080
	je    	L007FC
	mr    	r3,r11
	nilz  	r3,r3,0x7FFF
	loadh	r5,L00_BSS(r4)
	nilo  	r5,r5,-32768
	o     	r5,r3
	storeh	r5,L00_BSS(r4),r3
	mr    	r3,r12
	nilz  	r3,r3,0x7FFF
	load	r5,L00_BSS(r4)
	nilo  	r5,r5,-32768
	o     	r5,r3
	store	r5,L00_BSS(r4),r3
	mr    	r9,r2
	mr    	r2,r11
	mr    	r3,r12
	cas   	r4,r9,r14
	cal   	r4,-5184(r4)
	balix 	r15,_.stuffoffscreen	# stuffoffscreen
	l     	r0,4(r14)
L007FC:
	bx    	L00752
	ais   	r10,1
L00802:
	cal   	r9,1024(r0)
	sts   	r9,0(r1)
	cal   	r2,100(r0)
	sts   	r2,4(r1)
	lis   	r2,0
	cal   	r3,800(r0)
	lis   	r4,0
	cal   	r5,900(r0)
	balix 	r15,_.ibm8514Bitblt	# ibm8514Bitblt
	l     	r0,8(r14)
	lis   	r8,1
	sts   	r8,0(r1)
	cal   	r2,255(r0)
	lis   	r3,0
	cal   	r4,916(r0)
	mr    	r5,r9
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,12(r14)
	sts   	r8,0(r1)
	cal   	r2,255(r0)
	lis   	r3,0
	cal   	r4,936(r0)
	mr    	r5,r9
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,12(r14)
	sts   	r8,0(r1)
	cal   	r2,255(r0)
	lis   	r3,0
	cal   	r4,956(r0)
	mr    	r5,r9
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,12(r14)
	cal   	r2,98(r0)
L0086A:
	mr    	r1,r13
	lm    	r8,-68(r1)
	br    	r15
	.long	0xDF07DF88	# First gpr=r8
	.short	0x0D00	# npars=0, off=0
	.data	1
	.long	_stuffoffscreen
	.long	_ibm8514Bitblt
	.long	_ibm8514DrawRectangle
	.long	ldiv$$
	.align	2
_stuffoffscreen:
	.long	L00878
	.text
	.align	1
L00878:
_.stuffoffscreen:
	stm   	r9,-64(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-136(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
L0088A:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r4,r3,-25880
	ls    	r4,0(r4)
	sth   	r4,-5216(r14)
	exts  	r4,r4
	nilz  	r5,r4,-256
	sari  	r5,8
	nilz  	r4,r4,0x00FF
	sli   	r4,8
	o     	r4,r5
	nilz  	r4,r4,0x0200
	bnex  	L0088A
	sth   	r4,-5214(r14)
	oil   	r3,r3,-16664
	cal16 	r4,-32608(r0)
	nilo  	r12,r12,-4
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-14616
	nilz  	r4,r12,0x00FF
	sli   	r4,8
	nilz  	r5,r12,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-15640
	nilz  	r4,r11,0x00FF
	sli   	r4,8
	nilz  	r5,r11,0x0700
	sari  	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-10520
	cal   	r4,3840(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r4,4352(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-22808
	cal16 	r4,-256(r0)
	sts   	r4,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,-23832
	lis   	r3,0
	sts   	r3,0(r2)
	mr    	r9,r3
L00924:
	ci    	r9,36
	jhe   	L0094C
	cas   	r2,r9,r10
	lcs   	r2,0(r2)
	nilz  	r3,r2,0x000F
	nilz  	r2,r2,0x00F0
	sli   	r2,4
	o     	r2,r3
	a     	r2,r2
	mr    	r3,r9
	a     	r3,r3
	a     	r3,r13
	ais   	r9,1
	bx    	L00924
	sth   	r2,-136(r3)
L0094C:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-25880
	cal16 	r3,-3261(r0)
	sts   	r3,0(r2)
	cal16 	r2,-7448(r0)
	cal   	r3,-136(r13)
	cal   	r4,36(r0)
	balix 	r15,_.blockoutw	# blockoutw
	l     	r0,4(r14)
L00972:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-25880
	ls    	r2,0(r2)
	sth   	r2,-5216(r14)
	exts  	r2,r2
	nilz  	r3,r2,-256
	sari  	r3,8
	nilz  	r2,r2,0x00FF
	sli   	r2,8
	o     	r2,r3
	nilz  	r2,r2,0x00FF
	l     	r3,-5248(r14)
	c     	r2,r3
	jh    	L00972
L009A0:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-16664
	cal   	r3,160(r0)
	sts   	r3,0(r2)
	mr    	r1,r13
	lm    	r9,-64(r1)
	br    	r15
	.long	0xDF07DF98	# First gpr=r9
	.short	0x3D00	# npars=3, off=0
	.data	1
	.long	_blockoutw
	.align	2
_ibm8514ScreenInitHW:
	.long	L009C0
	.text
	.align	1
L009C0:
_.ibm8514ScreenInitHW:
	stm   	r12,-52(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-52(r1)
	load	r2,_pcif_io_hw
	oil   	r2,r2,0x42E8
	ls    	r2,0(r2)
	sth   	r2,-5224(r14)
	exts  	r2,r2
	nilz  	r3,r2,-256
	sari  	r3,8
	nilz  	r2,r2,0x00FF
	sli   	r2,8
	o     	r2,r3
	nilz  	r2,r2,0x0080
	je    	L009FA
	bx    	L009FC
	lis   	r12,8
L009FA:
	lis   	r12,4
L009FC:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r3,r3,0x42E8
	cal   	r4,128(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x4AE8
	lis   	r4,0
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-280
	cal   	r4,1616(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x22E8
	cal   	r5,21248(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x02E8
	cal16 	r5,-25344(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x06E8
	cal   	r5,32512(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x0AE8
	cal16 	r5,-32512(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x0EE8
	cal   	r5,5632(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x12E8
	cal   	r5,24582(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x16E8
	cal16 	r5,-1531(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x1AE8
	lis   	r5,6
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x1EE8
	cal   	r5,2048(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x22E8
	cal   	r5,13056(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,0x42E8
	cal   	r5,3920(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-280
	sts   	r4,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,0x4AE8
	cal   	r3,1280(r0)
	sts   	r3,0(r2)
L00ABC:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r4,r3,-25880
	ls    	r4,0(r4)
	sth   	r4,-5224(r14)
	exts  	r4,r4
	nilz  	r5,r4,-256
	sari  	r5,8
	nilz  	r4,r4,0x00FF
	sli   	r4,8
	o     	r4,r5
	nilz  	r4,r4,0x0200
	bnex  	L00ABC
	sth   	r4,-5222(r14)
	oil   	r3,r3,-21784
	cal16 	r4,-256(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-20760
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-18712
	cal   	r5,1792(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-17688
	cal   	r5,9984(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r5,32(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r5,16(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r5,128(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r5,144(r0)
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-22808
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-23832
	lis   	r4,0
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r4,160(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal16 	r4,-189(r0)
	sts   	r4,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,-16664
	cal16 	r3,-205(r0)
	sts   	r3,0(r2)
	mr    	r2,r12
L00B7E:
	mr    	r1,r13
	lm    	r12,-52(r1)
	br    	r15
	.long	0xDF07DFC8	# First gpr=r12
	.short	0x0D00	# npars=0, off=0
	.data	1
	.globl	_ibm8514_lo_init
_ibm8514_lo_init:
	.long	L00B8C
	.text
	.align	1
L00B8C:
	.globl	_.ibm8514_lo_init
_.ibm8514_lo_init:
	stm   	r10,-60(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-64(r1)
	mr    	r12,r2
	mr    	r11,r3
	balix 	r15,_.ibm8514ScreenInitHW	# ibm8514ScreenInitHW
	l     	r0,8(r14)
	st    	r2,-5224(r14)
	balix 	r15,_.genfont	# genfont
	l     	r0,12(r14)
	mr    	r2,r12
	mr    	r3,r11
	balix 	r15,_.loadcmap	# loadcmap
	l     	r0,4(r14)
	lis   	r10,0
L00BBE:
	ci    	r10,42
	jh    	L00BE0
	mr    	r2,r10
	sli   	r2,3
	a     	r2,r10
	a     	r2,r2
	ais   	r2,6
	mr    	r3,r10
	a     	r3,r3
	storeh	r2,L00_BSS+512(r3),r4
	bx    	L00BBE
	ais   	r10,1
L00BE0:
	lis   	r10,0
L00BE2:
	ci    	r10,80
	jh    	L00C06
	mr    	r2,r10
	a     	r2,r2
	a     	r2,r10
	sli   	r2,2
	ai    	r2,r2,30
	mr    	r3,r10
	a     	r3,r3
	storeh	r2,L00_BSS+600(r3),r4
	bx    	L00BE2
	ais   	r10,1
L00C06:
	cal   	r2,768(r0)
	sts   	r2,0(r1)
	lis   	r2,0
	lis   	r3,0
	lis   	r4,0
	cal   	r5,1024(r0)
	balix 	r15,_.ibm8514DrawRectangle	# ibm8514DrawRectangle
	l     	r0,16(r14)
	l     	r2,-5224(r14)
	cis   	r2,8
	jne   	L00C2E
	bx    	L00C30
	cal   	r2,255(r0)
L00C2E:
	lis   	r2,15
L00C30:
	mr    	r1,r13
	lm    	r10,-60(r1)
	br    	r15
	.long	0xDF07DFA8	# First gpr=r10
	.short	0x2D00	# npars=2, off=0
	.data	1
	.long	_loadcmap
	.long	_ibm8514ScreenInitHW
	.long	_genfont
	.long	_ibm8514DrawRectangle
	.align	2
	.globl	_ibm8514_lo_move
_ibm8514_lo_move:
	.long	L00C3E
	.text
	.align	1
L00C3E:
	.globl	_.ibm8514_lo_move
_.ibm8514_lo_move:
	stm   	r7,-72(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-80(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
	mr    	r2,r12
	a     	r2,r2
	get	r3,$L00_BSS
	a     	r2,r3
	lha   	r9,512(r2)
	mr    	r2,r11
	a     	r2,r2
	a     	r2,r3
	lha   	r2,514(r2)
	sis   	r2,1
	sf    	r2,r9
	abs   	r8,r2
	cal   	r2,960(r0)
	sts   	r2,0(r1)
	sts   	r8,4(r1)
	cal   	r2,30(r0)
	mr    	r7,r3
	mr    	r3,r9
	cal   	r4,30(r0)
	mr    	r5,r10
	a     	r5,r5
	a     	r5,r7
	lha   	r5,512(r5)
	balix 	r15,_.ibm8514Bitblt	# ibm8514Bitblt
	l     	r0,4(r14)
	mr    	r1,r13
	lm    	r7,-72(r1)
	br    	r15
	.long	0xDF07DF78	# First gpr=r7
	.short	0x3D00	# npars=3, off=0
	.data	1
	.long	_ibm8514Bitblt
	.align	2
	.globl	_ibm8514_lo_cursor
_ibm8514_lo_cursor:
	.long	L00CA6
	.text
	.align	1
L00CA6:
	.globl	_.ibm8514_lo_cursor
_.ibm8514_lo_cursor:
	stm   	r10,-60(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-60(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
L00CB8:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-25880
	ls    	r2,0(r2)
	sth   	r2,-5256(r14)
	exts  	r2,r2
	nilz  	r3,r2,-256
	sari  	r3,8
	nilz  	r2,r2,0x00FF
	sli   	r2,8
	o     	r2,r3
	nilz  	r2,r2,0x00FF
	l     	r3,-5260(r14)
	c     	r2,r3
	jh    	L00CB8
L00CE6:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r3,r3,-17688
	cal   	r4,9472(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-22808
	nilz  	r4,r10,0x00FF
	sli   	r4,8
	nilz  	r5,r10,-256
	sri   	r5,8
	o     	r5,r4
	sts   	r5,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-15640
	mr    	r4,r11
	a     	r4,r4
	get	r5,$L00_BSS
	a     	r4,r5
	lha   	r4,512(r4)
	nilz  	r0,r4,0x00FF
	sli   	r0,8
	nilz  	r4,r4,0x0700
	sari  	r4,8
	o     	r4,r0
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-14616
	mr    	r4,r12
	a     	r4,r4
	a     	r4,r5
	lha   	r4,600(r4)
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,0x0700
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	cal   	r4,4352(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-10520
	cal   	r4,2816(r0)
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-25880
	cal16 	r4,-19584(r0)
	sts   	r4,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,-17688
	cal   	r3,9984(r0)
	sts   	r3,0(r2)
	mr    	r1,r13
	lm    	r10,-60(r1)
	br    	r15
	.long	0xDF07DFA8	# First gpr=r10
	.short	0x3D00	# npars=3, off=0
	.data	1
	.globl	_ibm8514_lo_putc
_ibm8514_lo_putc:
	.long	L00D96
	.text
	.align	1
L00D96:
	.globl	_.ibm8514_lo_putc
_.ibm8514_lo_putc:
	stm   	r7,-72(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-92(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
	nilz  	r10,r10,0x00FF
	mr    	r9,r5
	ls    	r8,0(r13)
	nilz  	r2,r10,0x00FF
	cli   	r2,127
	bhex  	L00E36
	ls    	r7,4(r13)
	sli   	r2,2
	loadc	r3,L00_BSS(r2)
	nilz  	r3,r3,0x0080
	je    	L00E36
	st    	r2,-76(r13)
	nilz  	r2,r9,0x0004
	jne   	L00DDE
	bx    	L00DE2
	lis   	r2,0
L00DDE:
	cal   	r2,100(r0)
L00DE2:
	mr    	r3,r12
	a     	r3,r3
	get	r4,$L00_BSS
	a     	r3,r4
	lha   	r3,600(r3)
	sts   	r3,0(r1)
	mr    	r3,r11
	a     	r3,r3
	a     	r3,r4
	lha   	r3,512(r3)
	sts   	r3,4(r1)
	lis   	r3,12
	sts   	r3,8(r1)
	cal   	r3,18(r0)
	sts   	r3,12(r1)
	l     	r3,-76(r13)
	loadha	r4,L00_BSS(r3)
	nilz  	r4,r4,0x7FFF
	load	r3,L00_BSS(r3)
	nilz  	r3,r3,0x7FFF
	cas   	r5,r3,r2
	mr    	r2,r8
	mr    	r3,r7
	balix 	r15,_.ibm8514BlitFGBG	# ibm8514BlitFGBG
	l     	r0,4(r14)
L00E36:
	mr    	r1,r13
	lm    	r7,-72(r1)
	br    	r15
	.long	0xDF07DF78	# First gpr=r7
	.short	0x6D00	# npars=6, off=0
	.data	1
	.long	_ibm8514BlitFGBG
	.align	2
_blockoutw:
	.long	L00E44
	.text
	.align	1
L00E44:
_.blockoutw:
	stm   	r7,-72(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-72(r1)
	mr    	r12,r2
	mr    	r11,r3
	mr    	r10,r4
	load	r2,_pcif_io_hw
	o     	r12,r2
	mr    	r8,r12
L00E62:
	mr    	r7,r10
	sis   	r10,1
	cis   	r7,0
	je    	L00E82
	lhs   	r9,0(r11)
	nilz  	r2,r9,0x00FF
	sli   	r2,8
	nilz  	r3,r9,-256
	sri   	r3,8
	o     	r3,r2
	sts   	r3,0(r8)
	bx    	L00E62
	inc   	r11,2
L00E82:
	mr    	r1,r13
	lm    	r7,-72(r1)
	br    	r15
	.long	0xDF07DF78	# First gpr=r7
	.short	0x3D00	# npars=3, off=0
	.data	1
_outb:
	.long	L00E90
	.text
	.align	1
L00E90:
_.outb:
	stm   	r10,-60(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-60(r1)
	mr    	r12,r2
	mr    	r11,r3
	nilz  	r11,r11,0x00FF
	load	r2,_pcif_io_b
	o     	r12,r2
	nilz  	r2,r11,0x00FF
	mr    	r10,r12
	sts   	r2,0(r10)
	mr    	r1,r13
	lm    	r10,-60(r1)
	br    	r15
	.long	0xDF07DFA8	# First gpr=r10
	.short	0x2D00	# npars=2, off=0
	.data	1
_ibm8514DrawRectangle:
	.long	L00EC4
	.text
	.align	1
L00EC4:
_.ibm8514DrawRectangle:
	stm   	r8,-68(r1)
	mr    	r14,r0
	mr    	r13,r1
	cal   	r1,-68(r1)
	mr    	r12,r2
	nilz  	r12,r12,-1
	mr    	r11,r3
	nilz  	r11,r11,-1
	mr    	r10,r4
	nilz  	r10,r10,-1
	mr    	r9,r5
	nilz  	r9,r9,-1
	lhas  	r8,2(r13)
	nilz  	r8,r8,-1
	exts  	r2,r9
	jle   	L00FB4
	exts  	r2,r8
	jle   	L00FB4
L00EF6:
	load	r2,_pcif_io_hw
	oil   	r2,r2,-25880
	ls    	r2,0(r2)
	sth   	r2,-5276(r14)
	exts  	r2,r2
	nilz  	r3,r2,-256
	sari  	r3,8
	nilz  	r2,r2,0x00FF
	sli   	r2,8
	o     	r2,r3
	nilz  	r2,r2,0x00FF
	l     	r3,-5288(r14)
	c     	r2,r3
	jh    	L00EF6
L00F24:
	get	r2,$_pcif_io_hw
	ls    	r3,0(r2)
	oil   	r3,r3,-22808
	exts  	r4,r12
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,-256
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-15640
	exts  	r4,r10
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,0x0700
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-14616
	exts  	r4,r11
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,0x0700
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-16664
	exts  	r4,r8
	sis   	r4,1
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,0x0F00
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r3,0(r2)
	oil   	r3,r3,-10520
	exts  	r4,r9
	sis   	r4,1
	nilz  	r5,r4,0x00FF
	sli   	r5,8
	nilz  	r4,r4,-256
	sari  	r4,8
	o     	r4,r5
	sts   	r4,0(r3)
	ls    	r2,0(r2)
	oil   	r2,r2,-25880
	cal16 	r3,-19584(r0)
	sts   	r3,0(r2)
L00FB4:
	mr    	r1,r13
	lm    	r8,-68(r1)
	br    	r15
	.long	0xDF07DF88	# First gpr=r8
	.short	0x5D00	# npars=5, off=0
	.data
L00_LITERALS:
	.ascii	"$Header: screen_conf.h,v 11.0 88/06/21 20:17:02 ib"
	.ascii	"macis June88_Stamp $"
	.byte	0
	.data
	.space	1
